Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dao
Class ServiceGroupDAO

    java.lang.Object
      org.wso2.wsas.persistence.dao.BaseDAO
          org.wso2.wsas.persistence.dao.ServiceGroupDAO

    public class ServiceGroupDAO

extends BaseDAO

Data access object managing persistence operations related to axis service groups.

Field Summary

Fields inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`hbConfig`

Constructor Summary
`ServiceGroupDAO(HibernateConfig hbConfig)`

Method Summary
`java.lang.Long` | `createServiceGroup(ServiceGroupDO trasientInstance)`
`java.lang.Long` | `createServiceGroup(ServiceGroupDO trasientInstance, org.hibernate.Session session)`
`void` | `deleteServiceGroup(java.lang.String serviceGroupName)`
`ServiceGroupParameterDO` | `getParameter(ServiceGroupDO serviceGroup, java.lang.String paramName)`
`ServiceGroupDO` | `getServiceGroup(java.lang.String serviceGroupId)`
`ServiceGroupDO` | `getServiceGroup(java.lang.String serviceGroupId, org.hibernate.Session session)`
`ServiceDO[]` | `getServices(ServiceGroupDO serviceGroup)`
`ServiceDO[]` | `getServices(ServiceGroupDO serviceGroup, org.hibernate.Session session)`

Methods inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`create, createOrUpdate, delete, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceGroupDAO

    public ServiceGroupDAO(HibernateConfig hbConfig)

Method Detail

### createServiceGroup

    public java.lang.Long createServiceGroup(ServiceGroupDO trasientInstance)

### createServiceGroup

    public java.lang.Long createServiceGroup(ServiceGroupDO trasientInstance,
                                             org.hibernate.Session session)

### getServiceGroup

    public ServiceGroupDO getServiceGroup(java.lang.String serviceGroupId)

### getServiceGroup

    public ServiceGroupDO getServiceGroup(java.lang.String serviceGroupId,
                                          org.hibernate.Session session)

### getParameter

    public ServiceGroupParameterDO getParameter(ServiceGroupDO serviceGroup,
                                                java.lang.String paramName)

### getServices

    public ServiceDO[] getServices(ServiceGroupDO serviceGroup)

### getServices

    public ServiceDO[] getServices(ServiceGroupDO serviceGroup,
                                   org.hibernate.Session session)

### deleteServiceGroup

    public void deleteServiceGroup(java.lang.String serviceGroupName)
                            throws ServiceGroupNotFoundException

  Throws:
    `ServiceGroupNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD